Bug 472884 - grubby --info option doesn't display all xen kernel options
grubby --info option doesn't display all xen kernel options
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-25 07:37 EST by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:32:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to display module entry with --info option (592 bytes, patch)
2008-11-25 07:37 EST, Roman Rakus
no flags Details | Diff

  None (edit)
Description Roman Rakus 2008-11-25 07:37:10 EST
Created attachment 324597 [details]
Patch to display module entry with --info option

Description of problem:
--info of xen kernel should display module entries

Version-Release number of selected component (if applicable):
6.0.71

How reproducible:
always

Steps to Reproduce:
1. grubby --info=ALL
2.
3.
  
Actual results:
Not displayed any module entry 

Expected results:
Display module entries

Additional info:
I investigate a bit how grubby does --info displaying and add printing of module entry, but it displays only first occurrence of module entry. I'll attach this patch.
And FYI only first occurrence is enough for me
Comment 1 Roman Rakus 2009-01-08 08:58:29 EST
Any progress?
Comment 2 Bug Zapper 2009-06-09 05:55:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Hans de Goede 2010-01-12 10:32:18 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.